%set_perl_req_method relaxed
%define _without_test 1
%filter_from_provides /^perl(Apache.Constants.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(File/MMagic.pm) perl(Image/Magick.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.42
%define module_name Image-Shoehorn
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.42
Release: alt2
Summary: massage the dimensions and filetype of an image
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASCOPE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Image::Shoehorn will massage the dimensions and filetype of an image,
optionally creating one or more "scaled" copies.

It uses Image::Magick to do the heavy lifting and provides a single
"import" objet method to hide a number of tasks from the user.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/I*

%changelog
* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.42-alt2
- rebuild w/o Apache1 support

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.42-alt1
- initial import by package builder

